Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  trait AccessorSynthesis extends SubComponent with Transform with TreeDSL
  Definition Classes
    transform
-  trait AccessorTreeSynthesis extends AnyRef
  Definition Classes
    AccessorSynthesis
- UncheckedAccessorSynth

c

scala.tools.nsc.transform.AccessorSynthesis.AccessorTreeSynthesis

# UncheckedAccessorSynth

###

#### class UncheckedAccessorSynth extends AnyRef

Source
  AccessorSynthesis.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UncheckedAccessorSynth
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new UncheckedAccessorSynth(clazz: Global.Symbol)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from UncheckedAccessorSynth toany2stringadd[UncheckedAccessorSynth] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (UncheckedAccessorSynth, B)
   Implicit
     This member is added by an implicit conversion from UncheckedAccessorSynth toArrowAssoc[UncheckedAccessorSynth] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val _newDefs: ListBuffer[Global.Tree]
   Attributes
     protected
7.  def accessorBody(sym: Global.Symbol): Global.Tree
8.  def addDef(tree: Global.ValOrDefDef): Unit

   Add tree at given position as new definition

   Add tree at given position as new definition

   Attributes
     protected
9.  def addDefDef(sym: Global.Symbol, rhs: Global.Tree = EmptyTree): Unit

   Add new method definition.

   Add new method definition.

   sym

     The method symbol.

   rhs

     The method body.

10.  def addValDef(sym: Global.Symbol, rhs: Global.Tree = EmptyTree): Unit
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  val clazz: Global.Symbol
    Attributes
      protected
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  def ensuring(cond: (UncheckedAccessorSynth) => Boolean, msg: => Any): UncheckedAccessorSynth
    Implicit
      This member is added by an implicit conversion from UncheckedAccessorSynth toEnsuring[UncheckedAccessorSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (UncheckedAccessorSynth) => Boolean): UncheckedAccessorSynth
    Implicit
      This member is added by an implicit conversion from UncheckedAccessorSynth toEnsuring[UncheckedAccessorSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: => Any): UncheckedAccessorSynth
    Implicit
      This member is added by an implicit conversion from UncheckedAccessorSynth toEnsuring[UncheckedAccessorSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): UncheckedAccessorSynth
    Implicit
      This member is added by an implicit conversion from UncheckedAccessorSynth toEnsuring[UncheckedAccessorSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from UncheckedAccessorSynth toStringFormat[UncheckedAccessorSynth] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def getterBody(getter: Global.Symbol): Global.Tree
    Attributes
      protected
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def implementWithNewDefs(stats: List[Global.Tree]): List[Global.Tree]

    Complete `stats` with init checks and bitmaps, removing any abstract method definitions in `stats` that are matched by some symbol defined by a tree previously passed to `addDef`.

26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def newDefs: collection.immutable.List[Global.Tree]
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  def setterBody(setter: Global.Symbol, getter: Global.Symbol): Global.Tree
    Attributes
      protected
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (UncheckedAccessorSynth, B)
   Implicit
     This member is added by an implicit conversion from UncheckedAccessorSynth toArrowAssoc[UncheckedAccessorSynth] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromUncheckedAccessorSynth to any2stringadd[UncheckedAccessorSynth]

### Inherited by implicit conversion StringFormat fromUncheckedAccessorSynth to StringFormat[UncheckedAccessorSynth]

### Inherited by implicit conversion Ensuring fromUncheckedAccessorSynth to Ensuring[UncheckedAccessorSynth]

### Inherited by implicit conversion ArrowAssoc fromUncheckedAccessorSynth to ArrowAssoc[UncheckedAccessorSynth]

### Ungrouped